--
--
-- Specializations Gyrophare for MF 3080
-- @Autor Fendt413
-- @Date 25/12/09
--
--

Gyrophare = {};

function Gyrophare.prerequisitesPresent(specializations)
    return true
end;

function Gyrophare:load(xmlFile)

	self.Gyro = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Gyro#index1"));
	self.Gyro2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Gyro#index2"));
    self.GyroRotation = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.Gyro#rotSpeed"), 1);
    self.light1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Gyro#light1"));
    self.light2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Gyro#light2"));
	self.active = false;
	
end;

function Gyrophare:delete()
end;

function Gyrophare:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Gyrophare:keyEvent(unicode, sym, modifier, isDown)
	if isDown and sym == Input.KEY_r then
		self.active = not self.active;
	end;
end;

function Gyrophare:update(dt)

	if self.Gyro ~= nil and self.active then
		rotate(self.Gyro, 0, self.GyroRotation * 1, 0 );
	end;
	if self.Gyro2 ~= nil and self.active then
		rotate(self.Gyro2, 0, self.GyroRotation * 1, 0);
	end;
	if self.active then
		setVisibility(self.light1, true);
		setVisibility(self.light2, true);
	else		
		setVisibility(self.light1, false);
		setVisibility(self.light2, false);
	end;
end;

function Gyrophare:draw()

end;
